Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.nio.conn
Class DefaultHttpAsyncRoutePlanner

    java.lang.Object
      org.apache.http.impl.nio.conn.DefaultHttpAsyncRoutePlanner

All Implemented Interfaces:
  org.apache.http.conn.routing.HttpRoutePlanner

Deprecated.

    @Deprecated
    public class DefaultHttpAsyncRoutePlanner

extends Object
implements org.apache.http.conn.routing.HttpRoutePlanner

Constructor Summary
`DefaultHttpAsyncRoutePlanner(AsyncSchemeRegistry schemeRegistry)` Deprecated.

Method Summary
`org.apache.http.conn.routing.HttpRoute` | `determineRoute(org.apache.http.HttpHost target, org.apache.http.HttpRequest request, org.apache.http.protocol.HttpContext context)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultHttpAsyncRoutePlanner

    public DefaultHttpAsyncRoutePlanner(AsyncSchemeRegistry schemeRegistry)

  Deprecated.

Method Detail

### determineRoute

    public org.apache.http.conn.routing.HttpRoute determineRoute(org.apache.http.HttpHost target,
                                                                 org.apache.http.HttpRequest request,
                                                                 org.apache.http.protocol.HttpContext context)
                                                          throws org.apache.http.HttpException

  Deprecated.
  Specified by:
    `determineRoute` in interface `org.apache.http.conn.routing.HttpRoutePlanner`
  Throws:
    `org.apache.http.HttpException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010–2021 The Apache Software Foundation. All rights reserved.